petsc-3.4.2 2013-07-02

# SectionRealUpdateClosure

Updates the values in a given closure from the array

### Synopsis

    #include "petscdmmesh.h"
    PetscErrorCode SectionRealUpdateClosure(SectionReal section, DM dm, PetscInt point, PetscScalar values[], InsertMode mode)

Not Collective

### Input Parameters

| section | - The section
| mesh | - The DMMesh object
| point | - The sieve point
| array | - The array to fill up
| mode | - The insertion mode

### Output Parameter

array -The array full of values in the closure

### Keywords

mesh, elements

### See Also

DMMeshCreate()

Level:intermediate
Location:src/dm/impls/mesh/section.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages